rm(list=ls())

source("NConv.R")
# the function NConv.R needs the function "mvrnorm" from package
# "MASS" and the function "conreg" from package "cobs" :
library(MASS)
library(cobs)


# Norris et Pollock, 1998   bird abundance data

suppBird <- 1:54
lesXBird <- c(11,12,10,6,2,5,1,3,2,4,0,1,1,1,2,1,0,2,
          0,0,0,0,0,0,1,0,0,0,1,1,0,1,0,0,0,0,0,0,
          1,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1)

r1 <- NConv(lesXBird)
r1
#$NHat
#  Emp CvxPi 
#   82    87 

#$CI
#      lb ub
#Emp   66 98
#CvxPi 71 96

r2 <- NConv(lesXBird,CI=FALSE,pHat=TRUE)

plot.NConv(lesXBird,r2)

###########################################################################

# Bohning & Schon, 2005, Tomato

lesXTomato <- c(1434,253,71,33,11,6,2,3,1,2,2,1,1,1,0,1,
                0,0,0,0,0,0,1,0,0,0,1)

r3 <- NConv(lesXTomato,pHat=TRUE)

r3$NHat
  Emp CvxPi 
 4439  4439 

r3$CI
      lb   ub
Emp 4257 4621
CvxPi 4257 4621

plot.NConv(lesXTomato, r3)

###########################################################################

library("SPECIES")

# Wang 2010

data(microbial)
lesXMicrobial <- microbial$X2[1:43]

r4 <- NConv(lesXMicrobial,pHat=TRUE)
r4$NHat
  Emp CvxPi 
 1211  1211 

r4$CI
        lb   ub
Emp   1117 1305
CvxPi 1117 1305

plot.NConv(lesXMicrobial, r4)


###########################################################################

# Butterfly

data(butterfly)


lesXButterfly <- butterfly[1:24,2]

r5 <- NConv(lesXButterfly, pHat=TRUE)

r5$NHat
  Emp CvxPi 
  663   663 

r5$CI
       lb  ub
Emp   611 715
CvxPi 611 715

plot.NConv(lesXButterfly,r5)

